# Package com.google.web.bindery.event.shared

Interface Summary
HandlerRegistration: Registration objects returned when an event handler is bound (e.g.

Class Summary
Event<H>: Base Event object.
Event.Type<H>: Type class used to register events with an `EventBus`.
EventBus: Dispatches `Event`s to interested parties.
HandlerRegistrations: A utility class to help deal with `handler registrations`.
ResettableEventBus: Wraps an EventBus to hold on to any HandlerRegistrations, so that they can easily all be cleared at once.
SimpleEventBus: Basic implementation of `EventBus`.

Exception Summary
UmbrellaException: A `RuntimeException` that collects a `Set` of child `Throwable`s together.